## com.sun.el.parser
Class AstValue

    java.lang.Object
      com.sun.el.lang.ELSupport
          com.sun.el.parser.SimpleNode
              com.sun.el.parser.AstValue

All Implemented Interfaces:
  Node

    public final class AstValue

extends SimpleNode

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Jacob Hookom [jacob@hookom.net]

Nested Class Summary
`protected static class` `AstValue.Target`

Field Summary

Fields inherited from class com.sun.el.parser.SimpleNode
`children, id, image, parent`

Constructor Summary
`AstValue(int id)`

Method Summary
`MethodInfo` `getMethodInfo(EvaluationContext ctx, Class[] paramTypes)`
`Class` `getType(EvaluationContext ctx)`
`Object` `getValue(EvaluationContext ctx)`
`Object` `invoke(EvaluationContext ctx, Class[] paramTypes, Object[] paramValues)`
`boolean` `isReadOnly(EvaluationContext ctx)`
`void` `setValue(EvaluationContext ctx, Object value)`

Methods inherited from class com.sun.el.parser.SimpleNode
`accept, dump, equals, getImage, hashCode, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, toString, toString`

Methods inherited from class com.sun.el.lang.ELSupport
`coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, containsNulls, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isDoubleStringOp, isLongOp, isStringFloat, throwUnhandled, toFloat, toNumber`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AstValue

    public AstValue(int id)

Method Detail

### getType

    public Class getType(EvaluationContext ctx)
                  throws ELException

  Specified by:
    `getType` in interface `Node`
  Overrides:
    `getType` in class `SimpleNode`
  Throws:
    `ELException`

### getValue

    public Object getValue(EvaluationContext ctx)
                    throws ELException

  Specified by:
    `getValue` in interface `Node`
  Overrides:
    `getValue` in class `SimpleNode`
  Throws:
    `ELException`

### isReadOnly

    public boolean isReadOnly(EvaluationContext ctx)
                       throws ELException

  Specified by:
    `isReadOnly` in interface `Node`
  Overrides:
    `isReadOnly` in class `SimpleNode`
  Throws:
    `ELException`

### setValue

    public void setValue(EvaluationContext ctx,
                         Object value)
                  throws ELException

  Specified by:
    `setValue` in interface `Node`
  Overrides:
    `setValue` in class `SimpleNode`
  Throws:
    `ELException`

### getMethodInfo

    public MethodInfo getMethodInfo(EvaluationContext ctx,
                                    Class[] paramTypes)
                             throws ELException

  Specified by:
    `getMethodInfo` in interface `Node`
  Overrides:
    `getMethodInfo` in class `SimpleNode`
  Throws:
    `ELException`

### invoke

    public Object invoke(EvaluationContext ctx,
                         Class[] paramTypes,
                         Object[] paramValues)
                  throws ELException

  Specified by:
    `invoke` in interface `Node`
  Overrides:
    `invoke` in class `SimpleNode`
  Throws:
    `ELException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.